<h2 mat-dialog-title>{{titleModal}}</h2>
<mat-dialog-content class="mat-typography">

  <form [formGroup]="movieForm">

    <mat-form-field appearance="outline">
      <mat-label>ID</mat-label>
      <input formControlName="id" matInput placeholder="Placeholder" readonly>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Nombre</mat-label>
      <input formControlName="name" matInput placeholder="Placeholder">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Descripción</mat-label>
      <input formControlName="description" matInput placeholder="Placeholder">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Fecha</mat-label>
      <input formControlName="premiereDate" matInput [matDatepicker]="picker">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>


    <mat-radio-group formControlName="premiere" class="example-radio-group">
      <mat-radio-button class="example-radio-button" *ngFor="let premiere of isPremiere"
                        [value]="premiere.value">{{premiere.name}}</mat-radio-button>

    </mat-radio-group>

  </form>

</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-raised-button mat-dialog-close color="accent">Cancelar</button>
  <button mat-raised-button [mat-dialog-close]="true" cdkFocusInitial color="primary"
          (click)="addMovie()">{{buttonModal}}
  </button>
</mat-dialog-actions>
